var defaultTemplateLibrary = new nokia.aduno.dom.TemplateLibrary({
    'Page':             '<div id="page"></div>',
    'Application':  '<div id="mainpage" class="nma_Main">' +
                        '<div id="header" class="mb_messageBox">' +
                            '<div class="mb_background" id="background"></div>' +
                            '<div class="mb_sprite" id="sprite" ></div>' +
                            '<div class="mb_label">__i18n_loadingApplication__</div>' +
                        '</div>' +
                        '<div class="darkMapOverlay" id="mapoverlay">' +
                            '<div id="serviceSwitcher" class="contentArea">' +
                                '<div class="amt_meTool"><div id="metool"></div></div>' +
                                '<div id="mapletlist"></div>' +
                            '</div>' +
                            '<div id="mapletarea" class="hide"></div>' +
                        '</div>' +
                        '<div id="playerarea" class="contentArea playerarea"></div>' +
                        '<div id="mapLoadingDialog"></div>' +
                        '<div id="infobubble"></div>' +
                        '<div id="connectmenu" class="connectmenuarea"></div>' +
                        '<div id="optionsmenu" class="optionsmenuarea"></div>' +
                        '<div id="popups"></div>' +
                        '<div id="screenmanager" class="screenmanagerarea"></div>' +
                    '</div>',
    'DraggableMapletList':  '<div id="list" class="mml_mapletList">' +
                            '<div class="mml_mapletScrollContainer" id="scroll">' +
                                '<div class="mml_mapletPages" id="pages">' +
                                    '<div class="mml_mapletRow" id="row_1"></div>' +
                                    '<div class="mml_mapletRow" id="row_2"></div>' +
                                    '<div class="mml_mapletRow" id="row_3"></div>' +
                                '</div>' +
                            '</div>' +
                            '<a id="previousPageButton" class="mml_previousMapletPage"></a>' +
                            '<a id="nextPageButton" class="mml_nextMapletPage"></a>' +
                            '<div class="mml_mapletPagination" id="paging">1 | 1</div>' +
                        '</div>',
    'DraggableList':    '<div id="list" class="nam_List"></div>',
    'MapletList':       '<div class="mml_mapletList"></div>',
    'MapletListItem':   '<a id="mapletitem" class="mmli_mapletListItem">' +
                                '<div class="mmli_focus"></div>' +
                                '<div class="mmli_shadow"></div>' +
                                '<div id="icon" class="mmli_icon"></div>' +
                                '<div class="mmli_activatedGlow"></div>' +
                                '<div id="button" class="mmli_caption"></div>' +
                        '</a>',
    'TouchMapletInfoBubble':    '<div id="infoBubble" class="aib_infoBubble">' +
                                    '<div id="infoBubbleNameShadow" class="aib_infoBubbleNameShadow"></div>' +
                                    '<div id="infoBubbleName" class="aib_infoBubbleName"></div>' +
                                    '<div id="infoBubbleDescShadow" class="aib_infoBubbleDescShadow"></div>' +
                                    '<div id="infoBubbleDesc" class="aib_infoBubbleDesc"></div>' +
                                '</div>',
    'MapletTitle':  '<div class="nmt_outerTitle"><div id="maplettitle" class="mmt_mapletTitle">' +
                            '<div id="label" class="mmt_mapletTitleLabel"></div>' +
                            '<div class="mmt_optionsIndicator"></div>' +
                '</div></div>',
    'Header':   '<div id="header" class="ah_header">' +
                    '<div id="systemMenuBtn" class="ah_headerSection ah_headerSectionSystem">' +
                    '</div>' +
                    '<div id="serviceSwitcherBtn" class="ah_headerSection ah_headerSectionSwitcher">' +
                    '</div>' +
                    '<div id="closeBtn" class="ah_headerSection ah_headerSectionClose">' +
                    '</div>' +
                    '<div class="ah_headerSection ah_headerSectionNetwork">' +
                        '<div id="positioning" class="ah_headerPositioning"></div>' +
                        '<div id="connectivity" class="ah_headerConnectivity"></div>' +
                        '<div id="time" class="ah_headerInfoTime"></div>' +
                        '<div id="ampm" class="ah_headerInfoTimeAmPm"></div>' +
                    '</div>' +
                    '<div class="ah_headerSection ah_headerSectionTitle" id="title">' +
                    '</div>' +
                    '<div id="configurableBtn0" class="ah_headerSection ah_headerSectionRight">' +
                    '</div>' +
                    '<div id="configurableBtn1" class="ah_headerSection ah_headerSectionRight">' +
                    '</div>' +
                '</div>',
    'HeaderButton': '<div class="ah_outerHeaderBtn"><a class="ah_headerBtn" id="icon"></a></div>',
    'SimpleMeTool': '<div class="amt_addressInfo">' +
                         '<div id="position_infoBubble" class="apib_infoBubble">' +
                             '<div id="infoBubbleIcon" class="apib_infoBubbleIcon"></div>' +
                             '<div id="addressTitle" class="apib_infoBubbleAddressTitle"></div>' +
                             '<div id="address" class="apib_infoBubbleAddress"></div>' +
                         '</div>' +
                     '</div>',
    'MapletControl':    '<div id="maplet" class="contentArea mapletarea">' +
                            '<div class="mc_loading" id="loading">' +
                                '<div class="mc_background"></div>' +
                                '<div class="mc_sprite" id="sprite">'+
                                '</div>' +
                                '<div id="loadingLabel" class="mc_label"></div>' +
                            '</div>' +
                            '<div class="mc_error" id="error">' +
                                '<div class="mc_background"></div>' +
                                '<div id="errorLabel" class="mc_label"></div>' +
                            '</div>' +
                        '</div>',
    'MapletLoader': '<div id="loader"></div>',

    'MessageBox':      '<div class="mb_messageBox" id="loading">' +
                            '<div class="mb_background" id="background"></div>' +
                            '<div class="mb_sprite" id="spriteButton">' +

                            '</div>' +
                            '<div id="label" class="mb_label"></div>' +
                            '<div id="buttons" class="mb_buttons"></div>' +
                        '</div>',
    'MessageBoxLong':      '<div class="mb_messageBox" id="loading">' +
                            '<div class="mb_background" id="background"></div>' +
                            '<div class="mb_sprite" id="spriteButton">' +

                            '</div>' +
                            '<div id="label" class="mb_label_long"></div>' +
                            '<div id="buttons" class="mb_buttons_long"></div>' +
                        '</div>',
    'ConnectMenuUi':    '<div class="cm_connectMenu">' +
                             '<div id="closearea" class="cm_closeArea"></div>' +
                             '<div class="cm_innerConnectMenu">' +
                                 '<div id="header" class="cm_header">' +
                                    '<div class="cm_innerHeader">' +
                                        '<div class="cm_categoryIcon"><div id="icon"></div></div>' +
                                        '<div id="caption" class="cm_caption"></div>' +
                                        '<div id="address" class="cm_address"></div>' +
                                        '<div id="fadder" class="cm_fadder"></div>' +
                                        '<div id="range" class="cm_range"></div>' +
                                    '</div>' +
                                 '</div>' +
                                 '<div id="menu"></div>' +
                             '</div>' +
                         '</div>',
    'OptionsMenuUi':    '<div class="om_optionsMenu">' +
                             '<div id="headerTitle" class="om_headerTitle" ></div>' +
                             '<div id="closearea" class="om_closeArea"></div>' +
                             '<div id="closeOverlay" class="om_closeOverlay"></div>' +
                             '<div class="om_innerOptionsMenu">' +
                                 '<div id="menu"></div>' +
                             '</div>' +
                         '</div>',
    'OptionsMenuList':     '<div class="om_MenuList"></div>',
    'MenuListItem':  '<a href="javascript:void(0)" class="nam_MenuListItem">'+
                        '<span class="nam_MenuBG">' +
                            '<img src="" alt="" id="icon"></img><em id="label"></em>' +
                        '</span>' +
                    '</a>',
    'SettingsList':             '<div class="settingsList">' +
                                '</div>',
    'SettingsListMapletItem':   '<a href="javascript:void(0)" class="index">' +
                                    '<span id="label" class="title"></span>' +
                                    '<span class="more"></span>' +
                                '</a>',
    'SettingsValueItem':   '<a href="javascript:void(0)" class="settings">' +
                                    '<span id="label" class="title"></span>' +
                                    '<span id="value"></span>' +
                                    '<span id="more" class="more hide"></span>' +
                                '</a>',
    'SettingsListItem':   '<a href="javascript:void(0)" class="settingsmore">' +
                                    '<span id="label" class="title"></span>' +
                                    '<span id="value" class="value"></span>' +
                                    '<span id="more" class="more"></span>' +
                                '</a>',
    'ScreenManager':    '<div class="screenManager">' +
                            '<div id="list" class="screenList"></div>' +
                            '<div id="closeArea" class="closeArea"></div>' +
                        '</div>',
    'Screen':           '<div class="screen">' +
                            '<div id="header" class="header"></div>' +
                            '<div id="content"></div>' +
                            '<div class="footer"></div>' +
                        '</div>',
    'AnimatedScreen':   '<div class="screen">' +
                            '<div id="header" class="header"></div>' +
                            '<div id="content"></div>' +
                            '<div class="footer"></div>' +
                        '</div>',
    'ScreenHeader':     '<div class="header"><span id="label"></span></div>',
    'PagerPrevious':    '<a href="javascript:void(0)"><span>Show previous results</span></a>',
    'PagerNext':        '<a href="javascript:void(0)"><span>Show more results</span></a>',
    'SettingsCheckBox': '<div class="checkBox" id="checkButton">' +
                            '<input type="checkbox" style="visibility:hidden;" id="checkButtonButton"></input>' +
                            '<span id="checkButtonText"></span>' +
                        '</div>',
    'SettingsRadioButton':  '<div class="radioButton" id="checkButton">' +
                                '<input type="checkbox" style="visibility:hidden;" id="checkButtonButton"></input>' +
                                '<span id="checkButtonText"></span>' +
                            '</div>',
    'SettingsComboSlider':  '<div id="comboSlider" class="nam_CombSlid">' +
                                '<div id="increaseButton"></div>' +
                                '<div id="slider"></div>' +
                                '<div id="decreaseButton"></div>' +
                            '</div>',
    'Menu_Var3':  '<div class="nam_Menu_Var3"></div>',
    'cmMenuListItem':  '<a href="javascript:void(0)" class="nam_MenuListItem">'+
                          '<span class="nam_MenuBG">' +
                              '<div id="icon" class="cm_icon"></div>' +
                              '<em id="label"></em>' +
                          '</span>' +
                       '</a>',
    'MapLoadingDialog': '<div class="mapLoadingDialog"><div id="label"></div></div>'

}, nokia.aduno.medosui.DefaultTouchTemplateLibrary);



